GLGETPOLYGONSTIPPLE(3G)

NAME
glGetPolygonStipple - return the polygon stipple pattern

C SPECIFICATION
void glGetPolygonStipple( GLubyte *mask )

PARAMETERS

mask
    Returns the stipple pattern. The initial value is all 1's.

DESCRIPTION
glGetPolygonStipple returns to mask a $32 ~times~ 32$ polygon stipple pattern. The pattern is packed into memory as if glReadPixels with both height and width of 32, type of GL_BITMAP, and format of GL_COLOR_INDEX were called, and the stipple pattern were stored in an internal $32 ~times~ 32$ color index buffer. Unlike glReadPixels, however, pixel transfer operations (shift, offset, pixel map) are not applied to the returned stipple image.

NOTES
If an error is generated, no change is made to the contents of mask.

ERRORS
GL_INVALID_OPERATION is generated if glGetPolygonStipple is executed between the execution of glBegin and the corresponding execution of glEnd.

SEE ALSO
glPixelStore(3G), glPixelTransfer(3G), glPolygonStipple(3G), glReadPixels(3G)